# coding: utf8
"""
Tracé d'un polygone utilisant le module turtle_m.

fichier : turtle.py
auteur : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import turtle
from turtle_m import polygone_regulier

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def polygones(npoly, ncotes, longueur):
    rot = 360 / npoly
    for i in range(npoly):
        polygone_regulier(ncotes, longueur)
        turtle.left(rot)

# Programme principal ==========================================================
turtle.pensize(3)
polygones(10, 3, 150)

turtle.exitonclick()
